
def get_command(gpu_index, data):

    filename = data
    
    import utils
    conf = get_conf(filename)

    command = ['/usr/local/bin/MotionCor2-01-30-2017']
    command += ['-InTiff', filename + '.tif']
    command += ['-OutMrc', filename + '_sum-cor.mrc']
    command += ['-LogFile', filename + '.log']
    command += ['-Gain', conf['gain']]
    command += ['-Patch', '5', '5']
    command += ['-FtBin', str(conf['binning'])]
    command += ['-FmDose', str(conf['dose'])]
    command += ['-PixSize', str(conf['pixelsize'])]
    command += ['-kV', '300']
    command += ['-Throw', str(conf['ignore'])]
    command += ['-Group', str(conf['group'])]
    command += ['-RotGain', '3']
    command += ['-Gpu', str(gpu_index)]

    return command
