
def get_command(data):

    infile, tmpfile = data
    
    from utils import get_conf
    conf = get_conf(infile)

    command = ['/usr/local/bin/motioncor2']
    command += ['-InMrc', tmpfile + '.mrc']
    command += ['-OutMrc', infile + '_sum-cor.mrc']
    command += ['-LogFile', infile + '.log']
    command += ['-Patch', '5', '5']
    command += ['-FtBin', str(conf['binning'])]
    command += ['-FmDose', str(conf['dose'])]
    command += ['-PixSize', str(conf['pixelsize'])]
    command += ['-kV', '300']
    command += ['-Throw', str(conf['ignore'])]
    command += ['-Group', str(conf['group'])]
    command += ['-Gpu', '<index>']

    return command
