
def get_command(data):

    infile, tmpfile = data
    
    from utils import get_conf
    conf = get_conf(infile)

    if conf['phaseplate']:
        command = ['/usr/local/bin/gctf-vpp']
        command = ['/usr/local/bin/gctf']
        command += ['--phase_shift_L', '10', '--phase_shift_H', '175', '--phase_shift_S', '10', '--phase_shift_T', '1', '--defL', '3000', '--defH', '12000', '--defS', '500', '--astm', '3000', '--bfac', '100', '--resL', '20.0', '--resH', '3.0', '--boxsize', '1024', '--refine_after_EPA', '0', '--convsize', '30', '--Href_bfac', '50', '--do_validation', '1']
    else:
        command = ['/usr/local/bin/gctf']

    command += ['--kV', '300', '--Cs', '0.01', '--ac', '0.1', '--dstep', '5.0', '--do_EPA', '1', '--do_Hres_ref', '1', '--Href_resL', '15.0', '--Href_resH', '3.0', '--ctfstar', 'NONE', '--estimate_B', '1', '--B_resL', '20.0', '--B_resH', '3.0']
    command += ['-apix', str(float(conf['pixelsize'])*float(conf['binning']))]
    command += ['--gid', '<index>']
    command += [infile + '_sum-cor.mrc']

    return command
